com.fasterxml.jackson.dataformat.csv.impl

## Class BufferedValue

- java.lang.Object
- - com.fasterxml.jackson.dataformat.csv.impl.BufferedValue

- Direct Known Subclasses:
    BufferedValue.BooleanValue, BufferedValue.DoubleValue, BufferedValue.IntValue, BufferedValue.LongValue, BufferedValue.NullValue, BufferedValue.RawValue, BufferedValue.TextValue

      public abstract class BufferedValue
      extends Object

  Helper class used for holding values for a while until output can proceed in expected order.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `BufferedValue.BooleanValue`
    `protected static class` | `BufferedValue.DoubleValue`
    `protected static class` | `BufferedValue.IntValue`
    `protected static class` | `BufferedValue.LongValue`
    `protected static class` | `BufferedValue.NullValue`
    `protected static class` | `BufferedValue.RawValue`
    `protected static class` | `BufferedValue.TextValue`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BufferedValue()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BufferedValue` | `buffered(boolean v)`
    `static BufferedValue` | `buffered(double v)`
    `static BufferedValue` | `buffered(int v)`
    `static BufferedValue` | `buffered(long v)`
    `static BufferedValue` | `buffered(String v)`
    `static BufferedValue` | `bufferedNull()`
    `static BufferedValue` | `bufferedRaw(String v)`
    `abstract void` | `write(CsvEncoder w)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BufferedValue

          protected BufferedValue()

  - ### Method Detail

    - #### write

          public abstract void write(CsvEncoder w)
                              throws IOException

      Throws:
        `IOException`

    - #### buffered

          public static BufferedValue buffered(String v)

    - #### bufferedRaw

          public static BufferedValue bufferedRaw(String v)

    - #### buffered

          public static BufferedValue buffered(int v)

    - #### buffered

          public static BufferedValue buffered(long v)

    - #### buffered

          public static BufferedValue buffered(double v)

    - #### buffered

          public static BufferedValue buffered(boolean v)

    - #### bufferedNull

          public static BufferedValue bufferedNull()

Copyright © 2017 FasterXML. All rights reserved.